org.bouncycastle.asn1.cryptopro

## Class GOST3410PublicKeyAlgParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters

All Implemented Interfaces:
  DEREncodable

    public class GOST3410PublicKeyAlgParameters
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`GOST3410PublicKeyAlgParameters(ASN1Sequence seq)`
`GOST3410PublicKeyAlgParameters(DERObjectIdentifier publicKeyParamSet, DERObjectIdentifier digestParamSet)`
`GOST3410PublicKeyAlgParameters(DERObjectIdentifier publicKeyParamSet, DERObjectIdentifier digestParamSet, DERObjectIdentifier encryptionParamSet)`

### Method Summary

Methods
`DERObjectIdentifier` `getDigestParamSet()`
`DERObjectIdentifier` `getEncryptionParamSet()`
`static GOST3410PublicKeyAlgParameters` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GOST3410PublicKeyAlgParameters` `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` `getPublicKeyParamSet()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410PublicKeyAlgParameters

    public GOST3410PublicKeyAlgParameters(DERObjectIdentifier publicKeyParamSet,
                                  DERObjectIdentifier digestParamSet)

#### GOST3410PublicKeyAlgParameters

    public GOST3410PublicKeyAlgParameters(DERObjectIdentifier publicKeyParamSet,
                                  DERObjectIdentifier digestParamSet,
                                  DERObjectIdentifier encryptionParamSet)

#### GOST3410PublicKeyAlgParameters

    public GOST3410PublicKeyAlgParameters(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static GOST3410PublicKeyAlgParameters getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

#### getInstance

    public static GOST3410PublicKeyAlgParameters getInstance(java.lang.Object obj)

#### getPublicKeyParamSet

    public DERObjectIdentifier getPublicKeyParamSet()

#### getDigestParamSet

    public DERObjectIdentifier getDigestParamSet()

#### getEncryptionParamSet

    public DERObjectIdentifier getEncryptionParamSet()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`